FROM accounts-nominee-base:base 

MAINTAINER DigiLocker-Alok
LABEL version="1.0"
ENV TZ="Asia/Kolkata" 

WORKDIR /opt/accounts-nominee

COPY config_prod/dockerconfig/supervisord.conf /etc/supervisord.conf
COPY config_prod/dockerconfig/services.conf /etc/supervisord.d/services.conf
ADD config_prod/dockerconfig/envoy-accounts-nominee.yaml /etc/envoy/envoy-accounts-nominee.yaml 

COPY src_code/ /opt/accounts-nominee
COPY config_prod/.env /opt/accounts-nominee/
CMD [ "python", "app.py" ]
EXPOSE 80 